## ros-rviz 1.14.25+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rviz)

if (POLICY CMP0042)
  cmake_policy(SET CMP0042 NEW)
endif()
if (POLICY CMP0054)
  cmake_policy(SET CMP0054 NEW)
endif()

# Define global caktin_lint suppressions
#catkin_lint: ignore uninstalled_script missing_install_target

find_package(Boost REQUIRED
  COMPONENTS
  filesystem
  program_options
  system
  thread
)

find_package(urdfdom_headers REQUIRED)

set(CMAKE_POLICY_DEFAULT_CMP0012 NEW)  # required due to a bug in assimp 5.0
find_package(assimp REQUIRED)
if(NOT DEFINED ASSIMP_LIBRARIES AND TARGET assimp::assimp)
  # ASSIMP >= 5.0 no longer defines ASSIMP_LIBRARIES
  set(ASSIMP_LIBRARIES assimp::assimp)
endif()

find_package(OGRE QUIET COMPONENTS Overlay)
if(OGRE_FOUND)
  if(${OGRE_VERSION} VERSION_LESS 1.11)
    set(OGRE_INCLUDE_DIRS ${OGRE_INCLUDE_DIRS} ${OGRE_Overlay_INCLUDE_DIRS})
    set(OGRE_LIBRARIES ${OGRE_LIBRARIES} ${OGRE_Overlay_LIBRARIES})
  endif()
else()
  # OGRE doesn't come with correctly installed cmake files on Linux. Use pkg-config instead.
  # We need both, OGRE and OGRE-Overlay. Look for both simulatenously and use prefix X_
  find_package(PkgConfig REQUIRED)
  pkg_check_modules(X REQUIRED OGRE OGRE-Overlay)

  # Set OGRE_* variables as cmake-based find_package would do
  set(OGRE_VERSION ${X_OGRE_VERSION})
  set(OGRE_INCLUDE_DIRS ${X_INCLUDE_DIRS})
  message(STATUS "OGRE_INCLUDE_DIRS=${OGRE_INCLUDE_DIRS}")

  # Find absolute path of OGRE libraries.
  # This is stored in the cache to save time on cmake re-run.
  # Using absolute paths is necessary if pkg-config finds Ogre in a different
  # location than the default.  This can happen when Ogre is built from source,
  # or when 2 versions of Ogre are installed.  Using absolute paths ensures that
  # components that link against Ogre (rviz and any packages depending on rviz)
  # all find the same Ogre shared library.
  if(NOT DEFINED OGRE_LIBRARIES)
    set(_OGRE_LIBRARIES)
    foreach(_lib ${X_LIBRARIES})
      set(_lib_tag "OGRE_RVIZ_${_lib}")

      find_library(${_lib_tag}
              NAMES ${_lib}
              HINTS ${X_LIBRARY_DIRS}
              PATHS ${X_LIBRARY_DIRS}
      )

      list(APPEND _OGRE_LIBRARIES ${${_lib_tag}})
    endforeach(_lib)

    set(OGRE_LIBRARIES ${_OGRE_LIBRARIES} CACHE STRING "Absolute paths to OGRE libs")
  endif(NOT DEFINED OGRE_LIBRARIES)
  message(STATUS "OGRE_LIBRARIES=${OGRE_LIBRARIES}")

  ## Fetch OGRE_PLUGIN_DIR variable from pkg-config
  if(NOT DEFINED OGRE_PLUGIN_DIR)
    execute_process(COMMAND
      ${PKG_CONFIG_EXECUTABLE} --variable=plugindir OGRE
      OUTPUT_VARIABLE OGRE_PLUGIN_DIR
      OUTPUT_STRIP_TRAILING_WHITESPACE
      )
  endif(NOT DEFINED OGRE_PLUGIN_DIR)
  message(STATUS "OGRE_PLUGIN_DIR=${OGRE_PLUGIN_DIR}")
endif()

# TODO: adapt version after upgrade to newer OGRE release
# Consider deprecation issues as warnings, not as errors for OGRE >= 1.10
if(NOT OGRE_VERSION VERSION_LESS "1.10.0" AND NOT MSVC)
  add_compile_options(-Wno-error=deprecated-declarations)
endif()

if(APPLE)
  FIND_LIBRARY(Cocoa_LIBRARIES Cocoa)
  set(rviz_ADDITIONAL_LIBRARIES ${Cocoa_LIBRARIES})

  # This definition prevents an Apple header from defining a macro called "check", which if
  # present, collides with another function in the rviz code. See:
  # https://opensource.apple.com/source/CarbonHeaders/CarbonHeaders-18.1/AssertMacros.h
  add_definitions(-D__ASSERT_MACROS_DEFINE_VERSIONS_WITHOUT_UNDERSCORES=0)
endif()

# Prefer newer vendor-specific OpenGL library
if (POLICY CMP0072)
  cmake_policy(SET CMP0072 NEW)
endif()
find_package(OpenGL REQUIRED)

set(CMAKE_AUTOMOC ON)

set(RVIZ_QT_VERSIONS "5;6" CACHE STRING "List of Qt versions to consider (in order)")
foreach(_current_version ${RVIZ_QT_VERSIONS})
  find_package(Qt${_current_version} QUIET COMPONENTS Core Widgets OpenGL)
  if (Qt${_current_version}_FOUND)
    set(QTVERSION ${Qt${_current_version}_VERSION})
    set(QT_LIBRARIES Qt${_current_version}::Widgets)
    break() # early break from loop
  else()
    message(WARNING "Qt${_current_version} not found.")
  endif()
endforeach()
if(NOT QTVERSION)
  message(FATAL_ERROR "Failed to find a suitable Qt version.")
endif()
message(STATUS "Found Qt ${QTVERSION}")
add_definitions(-DQT_NO_KEYWORDS)

find_package(catkin REQUIRED
  COMPONENTS
  cmake_modules
  geometry_msgs
  image_transport
  interactive_markers
  laser_geometry
  map_msgs
  message_filters
  message_generation
  nav_msgs
  pluginlib
  python_qt_binding
  resource_retriever
  rosconsole
  roscpp
  roslib
  rospy
  sensor_msgs
  std_msgs
  std_srvs
  tf2_ros
  tf2_geometry_msgs
  urdf
  visualization_msgs
)

find_package(PythonLibs "${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}" REQUIRED)

find_package(Eigen3 QUIET)
if(NOT EIGEN3_FOUND)
  #catkin_lint: ignore_once deprecated_cmake_module
  find_package(Eigen REQUIRED)
  set(EIGEN3_INCLUDE_DIRS ${EIGEN_INCLUDE_DIRS})
  set(EIGEN3_LIBRARIES ${EIGEN_LIBRARIES})  # Not strictly necessary as Eigen is head only
  # Possibly map additional variables to the EIGEN3_ prefix.
else()
  set(EIGEN3_INCLUDE_DIRS ${EIGEN3_INCLUDE_DIR})
endif()

find_package(TinyXML2 REQUIRED)

catkin_python_setup()

# Set the Qt version for use in the extras file.
set(rviz_QT_VERSION ${QTVERSION})

# This variable controls the target name of the default plugin library.
# It is used in the extras file (processed in caktin_package(...)) and the
# cmake code for the default plugin.
# There is a matching instance of this in the plugin_description.xml.
set(rviz_DEFAULT_PLUGIN_LIBRARY_TARGET_NAME rviz_default_plugin)

add_service_files(
  FILES
  SendFilePath.srv
)

generate_messages(
  DEPENDENCIES
  std_msgs
)

set(EXPORT_HEADER_DIR "${CATKIN_DEVEL_PREFIX}/include")
file(MAKE_DIRECTORY "${EXPORT_HEADER_DIR}")

#catkin_lint: ignore_once external_include_path
catkin_package(
  CFG_EXTRAS
    rviz-extras.cmake
  INCLUDE_DIRS
    src
    ${EXPORT_HEADER_DIR}
    ${EIGEN3_INCLUDE_DIRS}
    ${OGRE_INCLUDE_DIRS}
    ${OPENGL_INCLUDE_DIR}
  LIBRARIES
    rviz
    ${OGRE_LIBRARIES}
    ${rviz_ADDITIONAL_LIBRARIES}
    ${OPENGL_LIBRARIES}
  CATKIN_DEPENDS
    geometry_msgs
    image_transport
    interactive_markers
    laser_geometry
    map_msgs
    message_filters
    message_runtime
    nav_msgs
    pluginlib
    resource_retriever
    roscpp
    roslib
    sensor_msgs
    std_msgs
    std_srvs
    tf2_ros
    urdf
    visualization_msgs
)

#catkin_lint: ignore_once external_directory
include_directories(src ${EXPORT_HEADER_DIR})
include_directories(SYSTEM
  ${EIGEN3_INCLUDE_DIRS}
  ${OGRE_INCLUDE_DIRS}
  ${OPENGL_INCLUDE_DIR}
  ${PYTHON_INCLUDE_PATH}
  ${TinyXML2_INCLUDE_DIRS}
  ${urdfdom_headers_INCLUDE_DIRS}
  ${ASSIMP_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS}
)

#### If gtk ends up being the best way to get the correct window
#### position under X11, this is how to compile it in.
#
# find_package(GTK2)
# include_directories(${GTK2_INCLUDE_DIRS})
# include_directories(/usr/include/gdk-pixbuf-2.0)

add_subdirectory(src)

if(OGRE_VERSION VERSION_LESS "1.10")
  set(EXCLUDE_PATTERN "ogre1.10.*")
else()
  set(EXCLUDE_PATTERN "ogre1.9.*")
endif()

install(DIRECTORY ogre_media
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  PATTERN "${EXCLUDE_PATTERN}" EXCLUDE
)
install(DIRECTORY icons
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(DIRECTORY images
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(FILES default.rviz
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(FILES plugin_description.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(FILES help/help.html
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/help
)
#catkin_lint: ignore uninstalled_target

=== src/image_view/CMakeLists.txt ===
add_executable(rviz_image_view
  image_view.cpp
  main.cpp
)

target_link_libraries(rviz_image_view
  ${OGRE_LIBRARIES}
  ${rviz_ADDITIONAL_LIBRARIES}
  ${PROJECT_NAME}
)

set_target_properties(rviz_image_view
                      PROPERTIES OUTPUT_NAME image_view
                      PREFIX "")

=== src/rviz/CMakeLists.txt ===
find_package(yaml-cpp REQUIRED)

include_directories(${YAML_CPP_INCLUDE_DIR})

if(UNIX AND NOT APPLE)
  find_package(X11 REQUIRED)
endif()

add_subdirectory(default_plugin)

# Build the version number and other build-time constants into the
# source for access at run-time.
set(ENV_CONFIG_FILE ${CMAKE_CURRENT_BINARY_DIR}/env_config.cpp)
set(RVIZ_VERSION ${rviz_VERSION})
message(STATUS "making version ${RVIZ_VERSION}.")
#catkin_lint: ignore_once env_var
set(ROS_DISTRO $ENV{ROS_DISTRO})

configure_file(env_config.cpp.in ${ENV_CONFIG_FILE} @ONLY)

# We create one lib with the C++...

add_library(${PROJECT_NAME}
  bit_allocator.cpp
  config.cpp
  display.cpp
  display.cpp
  display_context.h
  display_factory.cpp
  display_group.cpp
  displays_panel.cpp
  failed_display.cpp
  failed_panel.cpp
  failed_tool.cpp
  failed_view_controller.cpp
  frame_manager.cpp
  load_resource.cpp
  frame_position_tracking_view_controller.cpp
  geometry.cpp
  help_panel.cpp
  image/ros_image_texture.cpp
  image/image_display_base.cpp
  image/mouse_click.cpp
  loading_dialog.cpp
  message_filter_display.h
  mesh_loader.cpp
  new_object_dialog.cpp
  add_display_dialog.cpp
  ogre_helpers/apply_visibility_bits.cpp
  ogre_helpers/arrow.cpp
  ogre_helpers/axes.cpp
  ogre_helpers/billboard_line.cpp
  ogre_helpers/camera_base.cpp
  ogre_helpers/grid.cpp
  ogre_helpers/initialization.cpp
  ogre_helpers/line.cpp
  ogre_helpers/movable_text.cpp
  ogre_helpers/object.cpp
  ogre_helpers/ogre_logging.cpp
  ogre_helpers/ogre_render_queue_clearer.cpp
  ogre_helpers/orthographic.cpp
  ogre_helpers/point_cloud.cpp
  ogre_helpers/qt_ogre_render_window.cpp
  ogre_helpers/render_system.cpp
  ogre_helpers/render_widget.cpp
  ogre_helpers/shape.cpp
  ogre_helpers/mesh_shape.cpp
  panel.cpp
  panel_dock_widget.cpp
  panel_factory.cpp
  preferences_dialog.cpp
  properties/bool_property.cpp
  properties/color_editor.cpp
  properties/color_property.cpp
  properties/combo_box.cpp
  properties/display_visibility_property.cpp
  properties/display_group_visibility_property.cpp
  properties/editable_combo_box.cpp
  properties/editable_enum_property.cpp
  properties/enum_property.cpp
  properties/float_edit.cpp
  properties/float_property.cpp
  properties/int_property.cpp
  properties/line_edit_with_button.cpp
  properties/parse_color.cpp
  properties/property.cpp
  properties/property_tree_delegate.cpp
  properties/property_tree_model.cpp
  properties/property_tree_widget.cpp
  properties/property_tree_with_help.cpp
  properties/quaternion_property.cpp
  properties/ros_topic_property.cpp
  properties/splitter_handle.cpp
  properties/status_list.cpp
  properties/status_property.cpp
  properties/string_property.cpp
  properties/tf_frame_property.cpp
  properties/vector_property.cpp
  render_panel.cpp
  robot/robot_link.cpp
  robot/robot_joint.cpp
  robot/robot.cpp
  robot/tf_link_updater.cpp
  scaled_image_widget.cpp
  screenshot_dialog.cpp
  selection_panel.cpp
  selection/selection_handler.cpp
  selection/selection_manager.cpp
  splash_screen.cpp
  time_panel.cpp
  tool.cpp
  tool_manager.cpp
  uniform_string_stream.cpp
  view_controller.cpp
  view_manager.cpp
  views_panel.cpp
  visualization_frame.cpp
  visualization_manager.cpp
  visualizer_app.cpp
  wait_for_master_dialog.cpp
  widget_geometry_change_detector.cpp
  tool_properties_panel.cpp
  yaml_config_reader.cpp
  yaml_config_writer.cpp

  ${ENV_CONFIG_FILE}
)

include(GenerateExportHeader)
set(EXPORT_FILE_NAME ${EXPORT_HEADER_DIR}/rviz/${PROJECT_NAME}_export.h)
generate_export_header(${PROJECT_NAME} EXPORT_FILE_NAME ${EXPORT_FILE_NAME})

target_link_libraries(${PROJECT_NAME}
  ${Boost_LIBRARIES}
  ${catkin_LIBRARIES}
  ${QT_LIBRARIES}
  ${OGRE_LIBRARIES}
  ${OPENGL_LIBRARIES}
  ${rviz_ADDITIONAL_LIBRARIES}
  ${TinyXML2_LIBRARIES}
  ${X11_X11_LIB}
  ${ASSIMP_LIBRARIES}
  ${YAML_CPP_LIBRARIES}
)

add_dependencies(${PROJECT_NAME} ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})


if(APPLE)
  set_target_properties(${PROJECT_NAME} PROPERTIES LINK_FLAGS "-undefined dynamic_lookup")
endif(APPLE)

########### The rviz executable ###########
add_executable(executable main.cpp)

target_link_libraries(executable ${PROJECT_NAME} ${QT_LIBRARIES} ${OGRE_LIBRARIES})

set_target_properties(executable
                      PROPERTIES OUTPUT_NAME ${PROJECT_NAME})

install(TARGETS executable
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

install(DIRECTORY ./
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h")

#catkin_lint: ignore_once external_file
install(FILES
  ${EXPORT_FILE_NAME}
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(TARGETS executable
  DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

=== src/test/CMakeLists.txt ===
# rviz's automated tests
find_package(rostest REQUIRED)

# This is a test utility which publishes images of different types.
add_executable(send_images EXCLUDE_FROM_ALL send_images.cpp)
target_link_libraries(send_images ${catkin_LIBRARIES})
add_dependencies(tests send_images)

# This is a test utility which can publish different kinds of markers.
add_executable(marker_test EXCLUDE_FROM_ALL marker_test.cpp)
target_link_libraries(marker_test ${catkin_LIBRARIES})
add_dependencies(tests marker_test)

# This is a test utility which can publish different kinds of mesh markers.
add_executable(mesh_marker_test EXCLUDE_FROM_ALL mesh_marker_test.cpp)
target_link_libraries(mesh_marker_test ${catkin_LIBRARIES})
add_dependencies(tests mesh_marker_test)

# This is a GTest which tests the different types of primitive display properties.
catkin_add_gtest(property_test
  property_test.cpp
  mock_property_change_receiver.cpp
  ${MOC_MOCK_PROPERTY_CHANGE_RECEIVER}
)
target_link_libraries(property_test rviz ${catkin_LIBRARIES} ${QT_LIBRARIES})

# TODO(wjwwood): Fix this test, it used to use a set of Mock classes, but
#                has since undergone a lot of changes and it no longer works.
# This is a GTest which tests the display system.
# add_rostest_gtest(display_test display_test.test
#   display_test.cpp
#   mock_context.cpp
#   mock_display.cpp
#   mock_display_factory.cpp
#   mock_property_change_receiver.cpp
# )
# target_link_libraries(display_test rviz ${catkin_LIBRARIES} ${QT_LIBRARIES})

# This is a GTest which tests the uniform_string_stream.
catkin_add_gtest(uniform_string_stream_test
  uniform_string_stream_test.cpp
  ../rviz/uniform_string_stream.cpp
)

# This is an example node which serves an rviz logo as an interactive marker.
add_executable(rviz_logo_marker EXCLUDE_FROM_ALL rviz_logo_marker.cpp)
target_link_libraries(rviz_logo_marker ${catkin_LIBRARIES})
add_dependencies(tests rviz_logo_marker)

# This is an example node which publishes different kinds of point clouds.
add_executable(cloud_test EXCLUDE_FROM_ALL cloud_test.cpp)
target_link_libraries(cloud_test ${catkin_LIBRARIES})
add_dependencies(tests cloud_test)

# This is an example node which serves an interactive marker.
add_executable(interactive_marker_test interactive_marker_test.cpp)
target_link_libraries(interactive_marker_test ${catkin_LIBRARIES})
add_dependencies(tests interactive_marker_test)

# This is another example node that publishes images.
add_executable(image_test EXCLUDE_FROM_ALL image_test.cpp)
target_link_libraries(image_test ${catkin_LIBRARIES})
add_dependencies(tests image_test)

# This is a node that sends lots of point clouds.
add_executable(send_lots_of_points EXCLUDE_FROM_ALL send_lots_of_points_node.cpp)
target_link_libraries(send_lots_of_points ${catkin_LIBRARIES})
add_dependencies(tests send_lots_of_points)

# Yet another example which sends point clouds.
add_executable(send_point_cloud_2 EXCLUDE_FROM_ALL send_point_cloud_2.cpp)
target_link_libraries(send_point_cloud_2 ${catkin_LIBRARIES})
add_dependencies(tests send_point_cloud_2)

# This is a node which sends grid cells.
add_executable(send_grid_cells EXCLUDE_FROM_ALL send_grid_cells_node.cpp)
target_link_libraries(send_grid_cells ${catkin_LIBRARIES})
add_dependencies(tests send_grid_cells)

# This is a test program that uses the rviz panel interface.
add_executable(render_panel_test render_panel_test.cpp)
target_link_libraries(render_panel_test rviz ${catkin_LIBRARIES} ${QT_LIBRARIES})
add_dependencies(tests render_panel_test)

# This is an executable which uses the rviz new display diaglog interface.
add_executable(new_display_dialog_test new_display_dialog_test.cpp)
target_link_libraries(new_display_dialog_test rviz ${catkin_LIBRARIES} ${QT_LIBRARIES})
add_dependencies(tests new_display_dialog_test)

# This is an executable which uses the rviz color editor test.
add_executable(color_editor_test color_editor_test.cpp)
target_link_libraries(color_editor_test rviz ${catkin_LIBRARIES} ${QT_LIBRARIES})
add_dependencies(tests color_editor_test)

# This is a modified version of the property test.
catkin_add_gtest(property_with_ros_spinner_test
  property_test.cpp
  ros_spinner.cpp
  mock_property_change_receiver.cpp
  ${MOC_MOCK_PROPERTY_CHANGE_RECEIVER}
)
target_link_libraries(property_with_ros_spinner_test rviz ${catkin_LIBRARIES} ${QT_LIBRARIES})
add_dependencies(tests property_with_ros_spinner_test)

# This is an executable that uses the line_edit_with_button property interface.
add_executable(line_edit_with_button_test line_edit_with_button_test.cpp)
target_link_libraries(line_edit_with_button_test rviz ${catkin_LIBRARIES} ${QT_LIBRARIES})
add_dependencies(tests line_edit_with_button_test)

# This is an executable which tests the connect/disconnect behavior of signals and slots in Qt.
add_executable(connect_test connect_test.cpp)
target_link_libraries(connect_test ${QT_LIBRARIES})
add_dependencies(tests connect_test)

# This is a GTest which tests the display configuration.
catkin_add_gtest(config_test config_test.cpp ../rviz/uniform_string_stream.cpp ../rviz/config.cpp)
target_link_libraries(config_test ${QT_LIBRARIES})

# This is an acceptance test executable which renders points.
add_executable(render_points_test
  render_points_test.cpp
  ../rviz/ogre_helpers/orbit_camera.cpp
)
target_link_libraries(render_points_test rviz ${catkin_LIBRARIES} ${QT_LIBRARIES})
add_dependencies(tests render_points_test)

# This is an example application which creates two ogre render windows.
add_executable(two_render_widgets two_render_widgets.cpp)
target_link_libraries(two_render_widgets rviz ${catkin_LIBRARIES} ${QT_LIBRARIES})
add_dependencies(tests two_render_widgets)

# This is a GTest which tests the STL loader of assimp
#catkin_lint: ignore_once env_var
if (DEFINED ENV{DISPLAY} AND NOT $ENV{DISPLAY} STREQUAL "")
  catkin_add_gtest(stl_loader_test stl_loader_test.cpp)
  target_link_libraries(stl_loader_test ${catkin_LIBRARIES} ${PROJECT_NAME})
else()
  message("No display, will not configure tests for rviz/stl_loader")
endif()

=== debian/changelog ===
ros-rviz (1.14.25+dfsg-1) unstable; urgency=medium

  * New upstream version 1.14.25+dfsg
  * Rediff patches
  * Bump policy version (no changes)
  * Switch to QT6

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 20 Jun 2024 13:27:30 +0200

=== debian/control ===
Source: ros-rviz
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
 Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
 Timo Röhling <roehling@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 catkin (>= 0.8.10-1~),
 chrpath,
 dh-sequence-python3,
 libassimp-dev,
 libboost-filesystem-dev,
 libboost-program-options-dev,
 libboost-system-dev,
 libboost-thread-dev,
 libeigen3-dev,
 libgl-dev,
 libgtest-dev <!nocheck>,
 libimage-transport-dev,
 libinteractive-markers-dev,
 liblaser-geometry-dev,
 libmap-msgs-dev,
 libmessage-filters-dev,
 libnav-msgs-dev,
 libogre-1.12-dev,
 qt6-base-dev,
 libresource-retriever-dev,
 librosbag-dev,
 librosconsole-dev,
 libroscpp-dev,
 libroslib-dev,
 librostest-dev,
 libsensor-msgs-dev,
 libstd-msgs-dev,
 libstd-srvs-dev,
 libtf-dev,
 liburdf-dev,
 liburdfdom-dev,
 libvisualization-msgs-dev,
 libx11-dev,
 libyaml-cpp-dev,
 pluginlib-dev,
 libpython3-all-dev,
 pyqt6-dev,
 python3-all:any,
 python3-pyqt6,
 python3-pyqtbuild,
 python3-rospy,
 ros-std-msgs,
 sip-tools,
Standards-Version: 4.7.0
Section: libs
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/rviz
Vcs-Git: https://salsa.debian.org/science-team/ros-rviz.git
Vcs-Browser: https://salsa.debian.org/science-team/ros-rviz
Description: Robot OS 3D visualization tool
 This package is part of Robot OS (ROS) RViz package. RViz is a tool to
 visualize ROS messages and the state of the robot.

Package: librviz-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${rviz:Depends},
 librviz8d (= ${binary:Version}),
 libimage-transport-dev,
 libinteractive-markers-dev,
 liblaser-geometry-dev,
 libmap-msgs-dev,
 libmessage-filters-dev,
 libnav-msgs-dev,
 libogre-1.12-dev,
 libresource-retriever-dev,
 librosbag-dev,
 librosconsole-dev,
 libroscpp-dev,
 libroslib-dev,
 libsensor-msgs-dev,
 libstd-msgs-dev,
 libstd-srvs-dev,
 libtf-dev,
 liburdf-dev,
 libvisualization-msgs-dev,
 pluginlib-dev,
 python3-rospy,
Description: ${source:Synopsis} (development files)
 ${source:Extended-Description}
 .
 This package contains the development files for the rviz library.

Package: librviz8d
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: ${source:Synopsis} (library)
 ${source:Extended-Description}
 .
 This package contains the rviz library.

Package: rviz
Section: utils
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 fonts-liberation,
 libqt6svg6,
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package contains the rviz program.

Package: python3-rviz
Section: python
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: ${source:Synopsis} (Python 3 bindings)
 ${source:Extended-Description}
 .
 This package contains the Python 3 interface to the rviz library.

=== debian/rules ===
#!/usr/bin/make -f

# Change RVIZ_PLUGIN_SOVERSION also in debian/rviz.links
export PYBUILD_CONFIGURE_ARGS=-DPYBUILD_PYTHON_VERSION={version} -DRVIZ_SOVERSION=8d -DRVIZ_PLUGIN_SOVERSION=2d -DBUILD_TESTING:BOOL=$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),OFF,ON)
export PYBUILD_SYSTEM=cmake
export PATH:=/usr/lib/qt6/bin:$(PATH)

include /usr/share/dpkg/architecture.mk

# librviz-dev exposes the exact qt version in rviz-extras.cmake so downstream
# projects can find_package() it. This creates a dependency on at least that
# version.
# See: https://github.com/ros-visualization/rviz/issues/1773
RVIZ_DEPENDS = $(shell dpkg-query -f '$${Package} (>= $${source:Upstream-Version})' -W qtbase5-dev)

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_install:
	chrpath -d debian/tmp/usr/lib/python3*/*/rviz/*.so
	mv debian/tmp/usr/share/rviz/cmake/default_plugin_location.cmake debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/rviz

override_dh_auto_test:
	dh_auto_test -- --before-test "PYTHONPATH={build_dir}/build/devel/lib/python*/dist-packages make -C {build_dir} run_tests" --after-test "catkin_test_results {build_dir}"

override_dh_gencontrol:
	dh_gencontrol -- -Vrviz:Depends="$(RVIZ_DEPENDS)"

## ros-rviz 1.14.26+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.0.2)
+cmake_minimum_required(VERSION 3.5)
 project(rviz)
 
 if (POLICY CMP0042)

=== src/rviz/CMakeLists.txt ===
--- 
+++ 
@@ -45,6 +45,7 @@
   message_filter_display.h
   mesh_loader.cpp
   new_object_dialog.cpp
+  noetic_eol_dialog.cpp
   add_display_dialog.cpp
   ogre_helpers/apply_visibility_bits.cpp
   ogre_helpers/arrow.cpp

=== debian/changelog ===
ros-rviz (1.14.26+dfsg-1) unstable; urgency=medium

  * Migrate debian/watch to version 5 format
  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.3
  * Migrate to dh-ros
  * New upstream version 1.14.26+dfsg
  * Update patches.
    Merged: 0005-Bump-cmake_minimum_required.patch

 -- Timo Röhling <roehling@debian.org>  Thu, 22 Jan 2026 20:04:13 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,13 @@
 Uploaders:
  Jochen Sprickerhof <jspricke@debian.org>,
  Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
- Timo Röhling <roehling@debian.org>
+ Timo Röhling <roehling@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
+ dh-ros,
+ dh-sequence-python3,
  catkin (>= 0.8.10-1~),
  chrpath,
- dh-sequence-python3,
  libassimp-dev,
  libboost-filesystem-dev,
  libboost-program-options-dev,
@@ -25,7 +26,7 @@
  libmessage-filters-dev,
  libnav-msgs-dev,
  libogre-1.12-dev,
- qt6-base-dev,
+ libpython3-all-dev,
  libresource-retriever-dev,
  librosbag-dev,
  librosconsole-dev,
@@ -42,15 +43,15 @@
  libx11-dev,
  libyaml-cpp-dev,
  pluginlib-dev,
- libpython3-all-dev,
  pyqt6-dev,
  python3-all:any,
  python3-pyqt6,
  python3-pyqtbuild,
  python3-rospy,
+ qt6-base-dev,
  ros-std-msgs,
  sip-tools,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/rviz
@@ -65,9 +66,6 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- ${misc:Depends},
- ${rviz:Depends},
- librviz8d (= ${binary:Version}),
  libimage-transport-dev,
  libinteractive-markers-dev,
  liblaser-geometry-dev,
@@ -80,6 +78,7 @@
  librosconsole-dev,
  libroscpp-dev,
  libroslib-dev,
+ librviz8d (= ${binary:Version}),
  libsensor-msgs-dev,
  libstd-msgs-dev,
  libstd-srvs-dev,
@@ -88,6 +87,8 @@
  libvisualization-msgs-dev,
  pluginlib-dev,
  python3-rospy,
+ ${misc:Depends},
+ ${rviz:Depends},
 Description: ${source:Synopsis} (development files)
  ${source:Extended-Description}
  .
@@ -104,19 +105,6 @@
  .
  This package contains the rviz library.
 
-Package: rviz
-Section: utils
-Architecture: any
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
- fonts-liberation,
- libqt6svg6,
-Description: ${source:Synopsis}
- ${source:Extended-Description}
- .
- This package contains the rviz program.
-
 Package: python3-rviz
 Section: python
 Architecture: any
@@ -128,3 +116,16 @@
  ${source:Extended-Description}
  .
  This package contains the Python 3 interface to the rviz library.
+
+Package: rviz
+Section: utils
+Architecture: any
+Depends:
+ fonts-liberation,
+ libqt6svg6,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: ${source:Synopsis}
+ ${source:Extended-Description}
+ .
+ This package contains the rviz program.

=== debian/rules ===
#!/usr/bin/make -f

# Change RVIZ_PLUGIN_SOVERSION also in debian/rviz.links
export ROS_CONFIGURE_ARGS = -DPYBUILD_PYTHON_VERSION={python_version} -DRVIZ_SOVERSION=8d -DRVIZ_PLUGIN_SOVERSION=2d
export ROS_PYTHON_EXTENSION_PACKAGES = 1
export PATH:=/usr/lib/qt6/bin:$(PATH)

include /usr/share/dpkg/architecture.mk

# librviz-dev exposes the exact qt version in rviz-extras.cmake so downstream
# projects can find_package() it. This creates a dependency on at least that
# version.
# See: https://github.com/ros-visualization/rviz/issues/1773
RVIZ_DEPENDS = $(shell dpkg-query -f '$${Package} (>= $${source:Upstream-Version})' -W qt6-base-dev)

%:
	dh $@ --buildsystem=ros

execute_after_dh_auto_install:
	chrpath -d debian/tmp/usr/lib/python3*/*/rviz/*.so
	mv debian/tmp/usr/share/rviz/cmake/default_plugin_location.cmake debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/rviz

override_dh_gencontrol:
	dh_gencontrol -- -Vrviz:Depends="$(RVIZ_DEPENDS)"

=== debian/watch ===
Version: 5

Template: Github
Owner: ros-visualization
Project: rviz
Dversion-Mangle: auto
Repack: yes
Repack-Suffix: +dfsg
